Bug 338619 - Some mails are cut in the middle both on receive and transmit
Summary: Some mails are cut in the middle both on receive and transmit
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: misc (show other bugs)
Version: 4.13.3
Platform: Fedora RPMs Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-28 10:51 UTC by leon pollak
Modified: 2017-01-07 21:29 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leon pollak 2014-08-28 10:51:03 UTC
Sometimes the received mail is cut at some point in the middle of the text.
But today I forwarded the attached mail and it is also cut on send!The last appeared line is 39 out of 186.
I made several tests and see that this is somehow connected to the line length (78) - removing any symbol in the line 39 sends the mail ok. 
Looking at the mail source, I see that the mail AS-IS contains the last letter at the 72 position, then '=', while the dot is already in the next line.
So, making the last letter 'e' to be in 71 position solves the issue.

Reproducible: Always

Actual Results:  
Mail is cut off

Expected Results:  
The whole mail is sent

The message saved by kamil may be found at:
ftp://www.plris.com/pub/KMAIL/message.txt

I also saved the output of "view source" at:
ftp://www.plris.com/pub/KMAIL/viewsource.txt
Comment 1 Denis Kurz 2016-09-24 18:03:40 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 21:29:54 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.